export const ObjectColor = {
    'Recurso' : 'recurso-color',
    'Coleção' : 'colecao-color',
    'Curadoria' : 'curadoria-color'
}

export const Tag = {
    'Collection' : 'Coleção',
    'LearningObject' : 'Recurso',
    'User' : 'Usuário',
    'CuratorAssignment' : 'Curadoria'
}

export const GetActivityProperties = (activity) => {
    const properties = Possible_Activities[activity]
    return properties
}

export const Possible_Activities = {
    'collection_item.destroy': {
        icon: 'create',
        text: ' apagou uma coleção '
    },
    'collection_item.create': {
        icon: 'create',
        text: ' guardou o recurso ',
        text2: 'na coleção'
    },
    'collection_item.update': {
        icon: 'speaker_notes',
        text: ' editou um recurso a sua coleção '
    },
    'collection.update': {
        icon: 'speaker_notes',
        text: ' editou a coleção '
    },
    'collection.create': {
        icon: 'create',
        text: ' criou a coleção '
    },
    'complaint.create': {
        icon: 'report',
        text: ` criou uma denúncia sobre ` //text: ` criou uma denúncia sobre ${DINAMYC_SUBJECT[myActivity.recipient_type]} `
    },
    'collection.destroy': {
        icon: 'delete',
        text: ' excluiu '
    },
    'learning_object.destroy': {
        icon: 'delete',
        text: ' apagou o recurso '
    },
    'learning_object.publish': {
        icon: 'speaker_notes',
        text: ' publicou o recurso educacional '
    },
    'like.destroy': {
        icon: 'create',
        text: ' favoritou'
    },
    'like.create': {
        icon: 'favorite',
        text: ' curtiu '
    },
    'review.create':{
        icon: 'star',
        text: ' avaliou '
    },
    'download.create': {
        icon: 'get_app',
        text: 'baixou'
    },
    'curator_assignment.create': {
        icon: 'create',
        text: 'você foi atribuido para avaliar o recurso'
    },
    'submission.accepted':{
        icon: 'cloud_upload',
        text: 'o seu recurso',
        text2: 'foi revisado e já está disponivel na Plataforma'
    },
    'submission.rejected':{
        icon: 'thumb_down',
        text: 'o seu recurso',
        text2: 'foi revisado e removido da Plataforma por não está de acordo com os termos'
    }
};
