import React from 'react';
import { Button } from '@material-ui/core';
import styled from 'styled-components'
import CloseIcon from '@material-ui/icons/Close';

export default function CloseModalButton (props) {
    return (
        <StyledCloseModalButton onClick={props.handleClose}>
            <CloseIcon/>
        </StyledCloseModalButton>
    )
}

const StyledCloseModalButton = styled(Button)`
    display : inline-block;
    position : relative;
    float : right !important;
    margin-right : 4px !important;
    background : transparent !important;
    min-width: 0 !important;
    width : 40px;
`
