import React, {useContext} from 'react'
import {Store} from '../../Store.js'

export function checkAccessLevel (levelToCheck) {
    const {state} = useContext(Store)

    if (state.currentUser.id != '') {
        return(checkUserRole(levelToCheck))
    }

    const checkUserRole = (userRole) => {
        return(state.currentUser.roles.filter((role) => role.name === userRole).length > 0)
    }
}
