export default function colecoes_obj() {
        var colecoes = [];

        //Curso de Especialização Educação Pobreza e Desigualdade Social//

        var tagnames = ["Desigualdade", "Desigualdade Social", 'Pobreza', 'Educação', 'Coleção', 'EPDS', 'Espaços Escolares', 'Currículo']
        var _tags = [];
        for (let i = 0; i < tagnames.length; i++) {
            _tags.push({
                name: tagnames[i]
            });
        };

        var topicos = [];
        topicos.push({
            id: 0,
            pre_title: 'Módulo Introdutório',
            title: '',
            author: 'Miguel Arroyo',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://sgmd.nute.ufsc.br/content/secadi-formacao-continuada-pbf/intro/index.html',
            img: 'img/colecoes/pobreza0.jpg',
            tags: _tags,
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Introdutório” do curso “Educação, Pobreza e Desigualdade Social” é explicitada a relação entre a pobreza,
                as desigualdades sociais e a educação. São explicitados caminhos para a reflexão e ações problematizadoras sobre as
                temáticas apresentadas no contexto da educação, a fim de expor a situação de exclusão social.
                O módulo ainda propõe uma discussão que, de um lado, possibilita entender a pobreza para repensar os currículos e as práticas educacionais e, de outro, permita cultivar a
                sensibilidade para ouvir e incorporar, no exercício docente, as questões que ecoam nas vivências da pobreza. O material foi elaborado para
                este curso de Especialização, na modalidade de ensino a distância, tendo em vista seu papel na formação continuada de educadores e agentes
                educacionais. O curso foi concluído em 2016, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 1,
            pre_title: 'Módulo I: ',
            title: 'Pobreza e cidadania',
            author: 'Walquiria Leão Rego e Alessandro Pinzani',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/mod-1/index.html',
            url: 'https://sgmd.nute.ufsc.br/content/secadi-formacao-continuada-pbf/mod-1/index.html',
            img: 'img/colecoes/pobreza1.jpg',
            tags: _tags,
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O módulo “Pobreza e Cidadania” do curso “Educação, Pobreza e Desigualdade Social” pretende não só analisar as relações
                entre pobreza e cidadania, mas também oferecer uma imagem da pobreza mais complexa e multifacetada do que aquela que normalmente as
                pessoas de outras classes tendem a formar. Ademais, apresentam-se algumas considerações teóricas sobre a relação entre dinheiro,
                processos de autonomia e de capacitação moral, bem como sobre a questão da opressão de gênero. Ao longo do texto também é proposta a
                desconstrução de alguns dos preconceitos mais comuns sobre as pessoas em condição de pobreza e suas vidas. O material foi elaborado para
                este curso de Especialização, na modalidade de ensino a distância, tendo em vista seu papel na formação continuada de educadores e agentes
                educacionais. O curso foi concluído em 2016, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 2,
            pre_title: 'Módulo II: ',
            title: 'Pobreza, Direitos Humanos, Justiça e Educação',
            author: 'Erasto Fortes Mendonça',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/mod-2/index.html',
            url: 'https://sgmd.nute.ufsc.br/content/secadi-formacao-continuada-pbf/mod-2/index.html',
            img: 'img/colecoes/pobreza2.jpg',
            tags: _tags,
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Pobreza, Direitos Humanos, Justiça e Educação” do curso “Educação, Pobreza e Desigualdade Social” tem-se o objetivo de entender o papel estratégico da relação entre educação e direitos humanos no enfrentamento e na superação da pobreza e na construção de um sociedade justa, igualitária e fraterna. O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista seu papel na formação continuada de educadores e agentes educacionais. O curso foi concluído em 2016, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 3,
            pre_title: 'Módulo III: ',
            title: 'Escola: Espaços e tempo de reprodução e resistências da pobreza',
            author: 'Lúcia Helena Alvarez Leite',
            // url: 'http://especializacao-pobreza.mec.gov.br/modulos/mod-3/index.html',
            url: 'https://sgmd.nute.ufsc.br/content/secadi-formacao-continuada-pbf/mod-3/index.html',
            img: 'img/colecoes/pobreza3.jpg',
            tags: _tags,
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Escola: Espaços e tempo de reprodução e resistências da pobreza” do curso “Educação, Pobreza e Desigualdade Social” pretende-se discutir as relações entre cultura escolar e desigualdade social, buscando analisar as representações sociais sobre as infâncias, adolescência, juventudes e vivências de pobreza no brasil, e o papel do Bolsa Família na garantia do direito ao acesso e à permanência na escola pública. Ainda é proposta a discussão do papel da escola no processo de reprodução das desigualdades sociais e a luta dos movimentos sociais pelo direito à educação e a uma escola para as camadas populares. O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista seu papel na formação continuada de educadores e agentes educacionais. O curso foi concluído em 2016, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 4,
            pre_title: 'Módulo IV: ',
            title: 'Pobreza e Currículo: uma complexa articulação',
            author: 'Miguel Gonzalez Arroyo',
            // url: 'http://especializacao-pobreza.mec.gov.br/modulos/mod-4/index.html',
            url: 'https://sgmd.nute.ufsc.br/content/secadi-formacao-continuada-pbf/mod-4/index.html',
            img: 'img/colecoes/pobreza4.jpg',
            tags: _tags,
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Pobreza e Currículo: uma complexa articulação” do curso “Educação, Pobreza e Desigualdade Social” busca-se resgatar a concepção de currículo, explicitando o seu reflexo nas práticas pedagógicas docentes. Neste núcleo o currículo é retratado como fator que exprime a ideologia, as relações de poder e a cultura de cada unidade escolar. Cabe ao docente, por exemplo, reproduzir as desigualdades e injustiças sociais ou contribuir para a construção de uma sociedade efetivamente democrática. Existem três tipos de currículos: um formal, um real e um oculto. Essa compreensão inicial é fundamental para a discussão neste módulo sobre currículo e pobreza. O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista seu papel na formação continuada de educadores e agentes educacionais. O curso foi concluído em 2016, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });

        var colecao = {
            id: 0,
            name: 'Educação, Pobreza e Desigualdade Social',
            tags: _tags,
            developed: 'Nute UFSC',
            developedurl: 'http://lantec.ufsc.br',
            topic_name: 'Módulos',
            topics: topicos,
            score: 100,
            img: 'img/colecoes/pobreza.png',
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: 'A relação entre educação, escola, políticas educacionais, formação docente, currículos, teorias pedagógicas e o primeiro direito do ser humano a um digno e justo viver tem estado, em certa medida, ausente no pensamento educacional e nas suas políticas, bem como na formação de profissionais da educação básica e de outros(as) profissionais que estabelecem relações com a educação em contextos empobrecidos. O material busca abrir caminhos reflexivos para a contextualização, reflexão e problematização da situação de pobreza e desigualdade social, além de propor a atividade de repensar os currículos e práticas educacionais para incluir tal tema e cultivar a sensibilidade para ouvir e incorporar, no exercício docente, as questões que ecoam nas vivências da pobreza.',
            historic: `O curso foi criado numa parceria entre a Secretaria de Educação Continuada, Alfabetização, Diversidade e Inclusão do Ministério da Educação – SECADI/MEC e a Universidade Federal de Santa Catarina com objetivo de propiciar a coordenadores, gestores, agentes educacionais e professores de todo o Brasil a reflexão sobre a realidade que envolve a pobreza e a desigualdade social e as possibilidades postas pela educação para que essa realidade seja problematizada e transformada. O curso foi concluído em 2016, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3,
        };

        colecoes.push(colecao);

        //Educação na Cultura Digital//

        tagnames = ['Educação', 'Cultura', "Digital", 'Coleção', 'ECD', 'Espaços Escolares']
        _tags = [];
        for (let i = 0; i < tagnames.length; i++) {
            _tags.push({
                name: tagnames[i]
            });
        };

        topicos = [];
        topicos.push({
            id: 0,
            pre_title: '',
            title: 'Formação de Educadores na Cultura Digital',
            author: 'Edla Maria Faust Ramos - (UFSC), Lia Cristina Barata Cavellucci e Célia Reichert Engelmann',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/formadores/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/formadores/cenario.html',
            img: 'img/colecoes/ecd1.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No Módulo “Formação de Educadores na Cultura Digital” do curso “Educação na Cultura Digital”, tem-se como propósito geral de estudos contextualizar e problematizar os processos de formação de docentes e aportar elementos que contribuam para a construção de novas propostas de intervenção para a formação continuada de professores(as) com foco na integração das Tecnologias de Informação e Comunicação nas escolas e seus diversos usos.

O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 1,
            pre_title: '',
            title: 'Gestão para Integração das TDIC ao Currículo',
            author: 'Maria Elizabeth Bianconcini Trindade Morato Pinto de Almeida, Maria Elisabete Brisola Brito Prado, Lia Cristina Barata Cavellucci e Odete Sidericoudes',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/gestao/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/gestao/menu-topicos.html',
            img: 'img/colecoes/ecd2.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Gestão para a Integração das TDIC ao Currículo” do curso “Educação na Cultura Digital” procura-se focalizar temas relacionados à prática da gestão escolar, considerando alguns aspectos deste contexto e tendo como fio condutor o tempo tal como o vivenciamos hoje. Em seguida, analisam-se as repercussões da cultura digital nas práticas de gestão escolar e, por fim, busca-se o desafio de o exercitar o olhar para o futuro. O objetivo é criar um espaço de problematização, discussão e de busca de respostas, e esboçar caminhos para a gestão escolar situada na cultura digital, sempre tendo como meta principal a qualidade da formação dos alunos oferecida pela escola.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 2,
            pre_title: '',
            title: 'Tecnologias Assistivas',
            author: 'Liliana Maria Passerino (FACED/UFRGS) e Patrícia Maria Vargas de Lima (Sec. Mun. de Educação de Florianópolis)',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/tecnologias-assistivas-2/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/tecnologias-assistivas-2/pagina-16.html',
            img: 'img/colecoes/ecd3.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No Módulo de “Tecnologias Assistivas” do curso “Educação na Cultura Digital” propõe-se que vocês desafiem-se, permitam-se, encantem-se e reencantem-se com a temática e com o universo chamado inclusão. O núcleo ainda tem como norte apresentar recursos de acessibilidade que facilitarão a navegação na hipermídia e analisar as possibilidades de uso, adaptação e criação de artefatos, estratégias e serviços em Tecnologia Assistiva sob a perspectiva da Educação Inclusiva.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 3,
            pre_title: '',
            title: 'A Prática Docente na Educação Infantil e TDIC',
            author: 'Patrícia de Moraes Lima e Ivana Martins da Rosa',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/educacao-infantil/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/educacao-infantil/pagina.html',
            img: 'img/colecoes/ecd4.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No Módulo “A Prática Docente na Educação InfantIl e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” é proposto um novo percurso de aprendizagem que busca estabelecer conexões entre os seus conhecimentos prévios e os aqui propostos, no intuito de integrar o uso das TDIC às práticas pedagógicas na Educação Infantil. Ainda são propostas discussões sobre experiências pedagógicas e análises dos Núcleos de Ação Pedagógica (NAPs), entre outras problematizações do âmbito da Educação Infantil. Busca-se, com este núcleo, contribuir para a construção de conhecimentos e reflexões sobre o saber/fazer nas práticas pedagógicas no contexto abordado.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 4,
            pre_title: '',
            title: 'Educação Física e TDIC',
            author: 'Giovani De Lorenzi Pires (UFSC), Juliano Silveira (UFSC), Rodrigo Ferrari (UFSC), Lyana Thédiga de Miranda (UFSC), Gilson Cruz Junior (UFSC) e André Quaranta (UFSC)',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/educacao-fisica/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/educacao-fisica/menu-topicos.html',
            img: 'img/colecoes/ecd5.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Educação Física e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” apresentam-se as especificidades da Educação Física escolar e suas relações com as Tecnologias Digitais de Informação e Comunicação (TDIC). Busca-se um caminho interdisciplinar com os demais componentes curriculares, dialogando teoricamente com a ideia de mídia-educação, referindo-se tanto à metodologia e à crítica como ao contexto produtivo-expressivo (FANTIN, 2006). Portanto, este material foi pensado como um meio pelo qual podem-se explorar essas necessidades e questões. Ler, refletir, produzir e intervir em sala de aula serão alguns dos caminhos sugeridos nesta empreitada.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 5,
            pre_title: '',
            title: 'Aprendizagem de Artes Visuais e TDIC',
            author: 'Maria Cristina da Rosa Fonseca da Silva, Patrícia Maria Macedo Alves e Jaymini Pravinchandra Shah',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/artes/folha-de-rosto.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/artes/pagina.html',
            img: 'img/colecoes/ecd6.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No Módulo “Aprendizagem de Artes Visuais e TDIC” do curso “Educação na Cultura Digital” propõe-se apresentar alguns aspectos relevantes ao mundo artístico que têm se transformado com o desenvolvimento tecnológico no mundo das Artes Visuais e suas perspectivas, de modo que você possa rever suas práticas pedagógicas através de novos conhecimentos e proporcione aos(às) seus(suas) alunos(as) novos saberes artísticos, por meio de um diálogo entre distintos gêneros artísticos e sua transformação ao longo dos séculos.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 6,
            pre_title: '',
            title: 'Aprendizagem de Língua Estrangeira e TDIC',
            author: 'Celso Henrique Soufen Tumolo, Fabíola Teixeira Ferreira, Juliana Cristina Faggion Bergmann e Nadia Karina Ruhmke Ramos',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/lingua-estrangeira/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/lingua-estrangeira/pagina-9.html',
            img: 'img/colecoes/ecd7.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Ensino-Aprendizagem de Línguas Estrangeiras e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” é priorizado o emprego das tecnologias em sua área específica de trabalho na escola e também reflete-se sobre as possibilidades oferecidas pela tecnologia para auxiliá-lo(a) a criar práticas pedagógica e soluções para as questões que surgem em sala de aula, além de oferecer subsídios para o desenvolvimento de atividades de ensino e aprendizagem. O objetivo principal é demonstrar como a tecnologia pode ser uma grande aliada na resolução dos desafios pedagógicos que se apresentam no contexto escolar.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 7,
            pre_title: '',
            title: 'Aprendizagem de Matemática no Ensino Fundamental e TDIC',
            author: 'Marcus Vinicius de Azevedo Basso (UFRGS), Crediné Silva de Menezes (UFRGS), Márcia Rodrigues Notare Meneghetti (UFRGS), Fabiana Fattore Serres (Colégio de Aplicação/UFRGS) e Elisa Friedrich Martins (EMEF Dep. Marcírio Goulart Loureiro/POA-RS)',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/matematica-ef/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/matematica-ef/apresentacao.html',
            img: 'img/colecoes/ecd8.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo de “Aprendizagem Matemática no Ensino Fundamental e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” pretende-se ajudá-lo(a) a compreender como a incorporação do computador e da internet nas práticas pedagógicas podem apoiar o trabalho de docentes e discentes em aprender a matemática de uma maneira aprofundada, com menos esforço “braçal” e com mais satisfação. Acredita-se que a utilização de ferramentas digitais e algumas formas diferenciadas de trabalhar possam modificar e melhor qualificar as aprendizagens. Espera-se que todos e todas tenham a oportunidade de experimentar, dialogar, debater, refletir e, por fim, construir conhecimento sobre uma nova forma de ensinar e aprender Matemática.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 8,
            pre_title: '',
            title: 'Aprendizagem de Língua Portuguesa no Ensino Fundamental e TDIC',
            author: 'Jacqueline Peixoto Barbosa (PUCSP), Eduardo de Moura Almeida (Co-autor pesquisador), Nayara Moreira Santos (Co-autor pesquisador) e Amanda Lacerda de Lacerda (Co-autor escola)',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/portugues-ef2/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/portugues-ef2/apresentacao.html',
            img: 'img/colecoes/ecd9.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Aprendizagem de Língua Portuguesa no Ensino Fundamental e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” é possível explorar os conhecimentos da esfera digital no uso da linguagem a partir de quatro perspectivas: a tecnológica, a científica, a literária e a jornalística. A organização deste núcleo é feita a partir da escolha de diferentes gêneros multimodais, articulada com a vivência e/ou análise de práticas, processos e ações típicos da Web 2.0, e do domínio básico do manuseio de editores de imagem, áudio e vídeo, e de ferramentas de editoração eletrônica. Pretende-se que, com a formação desenvolvida, você seja capaz de usar e identificar os textos multimodais e multissemióticos presentes no dia a dia e que possa, também, incorporar tal aprendizado à sua prática docente.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 9,
            pre_title: '',
            title: 'Aprendizagem de História no Ensino Fundamental e TDIC',
            author: 'Carla Ferretti Santiago (PUC Minas), Eucidio Pimenta Arruda (UFMG) e Fernanda Dinardo do Nascimento (Escola Municipal Adelina Gonçalves Campos - Betim/MG)',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/historia-ef/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/historia-ef/apresentacao.html',
            img: 'img/colecoes/ecd10.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Aprendizagem de História no Ensino Fundamental e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” o que propõe-se é a problematização dos diferentes significados e usos dos materiais e ambientes digitais por meio da reflexão de suas implicações para o ensino e aprendizagem de história. Considera-se importante revelar as mudanças e permanências que as tecnologias de comunicação e informação digitais possibilitam na compreensão e incorporação de categorias fundamentais do campo do saber histórico escolar, como: tempo/temporalidades, memória/registros, entre outros. Em síntese, a proposta parte dos materiais, recursos e meios digitais para, então, refletir as suas implicações na compreensão de conceitos fundantes do conhecimento histórico. Defende-se que uma postura crítica e ativa diante dos meios digitais pode contribuir para que docentes e alunos(as) (re)afirmem seu protagonismo no mundo contemporâneo marcado pela cultura digital.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 10,
            pre_title: '',
            title: 'Aprendizagem de Geografia no Ensino Fundamental e TDIC',
            author: 'Rosa Elisabete Militz Wypyczynski Martins e Roberto Souza Ribeiro',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/geografia-ef/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/geografia-ef/apresentacao.html',
            img: 'img/colecoes/ecd11.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Aprendizagem de Geografia no Ensino Fundamental e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” tem-se como objetivo refletir sobre práticas de ensino e aprendizagem de Geografia com o uso das TDIC. É desenvolvida a problematização de conceitos geográficos e as utilizações no TDIC no âmbito da aprendizagem, articulando e analisando a realidade em que vivemos na intenção de favorecer o ensino-aprendizagem.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 11,
            pre_title: '',
            title: 'Aprendizagem de Ciências no Ensino Fundamental e TDIC',
            author: 'Marina Bazzo de Espíndola, Gabriela de Leon Nóbrega Reses, Patrícia Barbosa Pereira e Ivan Tavares Scotelari de Souza',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/ciencias-ef/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/ciencias-ef/menu-topicos.html',
            img: 'img/colecoes/ecd12.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Aprendizagem de Ciências no Ensino Fundamental e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” tem-se como objetivos proporcionar a compreensão do como as TDIC podem ser inseridas no processo de ensino e aprendizagem de conhecimentos científicos, estimular o(a) cursista a ter uma postura ativa e investigadora no decorrer dos estudos e, também, contribuir, por meio de fundamentação teórica e atividades práticas, para a ampliação de conhecimentos do(a) professor sobre essas tecnologias. Almeja-se que, ao final dos estudos do núcleo, você possa propor iniciativas de integração de TDIC na educação em Ciências Naturais, a partir das suas necessidades de ensino e das necessidades específicas desta área de conhecimento.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 12,
            pre_title: '',
            title: 'Aprendizagem de Matemática no Ensino Médio e TDIC',
            author: 'Marcus Vinicius de Azevedo Basso (UFRGS), Crediné Silva de Menezes (UFRGS), Márcia Rodrigues Notare Meneghetti (UFRGS), Fabiana Fattore Serres (Colégio de Aplicação/UFRGS) e Elisa Friedrich Martins (EMEF Dep. Marcírio Goulart Loureiro/POA-RS)',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/matematica-em/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/matematica-em/menu-topicos.html',
            img: 'img/colecoes/ecd13.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Aprendizagem de Matemática no Ensino Médio e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” propõe-se uma imersão na cultura digital pelos caminhos da Matemática. A intenção é ajudá-lo(a) a compreender como a incorporação do computador e da internet em nossas práticas pedagógicas podem apoiar o trabalho dos(as) professores(as) e propiciar aos(as) alunos(as) o aprendizado de Matemática de uma maneira mais profunda, com menos esforço “braçal” e mais satisfação. Acredita-se que a utilização de ferramentas digitais e algumas formas diferenciadas de trabalhar Matemática possam modificar e qualificar as aprendizagens, e espera-se que todos tenham a oportunidade de experimentar, dialogar, debater, refletir e, por fim, construir conhecimentos sobre uma nova forma de ensinar e aprender Matemática.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 13,
            pre_title: '',
            title: 'Aprendizagem de Língua Portuguesa no Ensino Médio e TDIC',
            author: 'Roxane Rojo (IEL-UNICAMP), Saulo da Silva Oliveira (ETEC Parque da Juventude, Centro Paula Sousa/SEE-SP), Jezreel Gabriel Lopes (IEL-UNICAMP, mestrado), João Reynaldo Pires Jr. (IEL-UNICAMP, mestrado) e Kátia Sayuri Fujisawa (IEL-UNICAMP, mestrado)',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/portugues-em2/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/portugues-em2/menu-topicos.html',
            img: 'img/colecoes/ecd14.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Aprendizagem de Língua Portuguesa no Ensino Médio e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” são explorados os conhecimentos da esfera digital no uso da linguagem a partir de quatro perspectivas: a tecnológica, a científica, a literária e a jornalística. Pretende-se que, com a formação desenvolvida, você seja capaz de usar e identificar os textos multimodais e multissemióticos presentes no dia a dia e que também possa incorporar tal aprendizado à sua prática docente. Vale ressaltar que, em muitos momentos, você será convidado(a) a refletir, por meio de questionamentos, acerca de diversos assuntos relacionados com o conteúdo.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 14,
            pre_title: '',
            title: 'Aprendizagem de Química no Ensino Médio e TDIC',
            author: 'Edson Luiz Lindner - (CA/UFRGS), Victor João da Rocha Maia Santos e Gabriela da Fontoura Rodrigues Selmi',
            //url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/quimica-em/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/quimica-em/pagina-15.html',
            img: 'img/colecoes/ecd15.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Aprendizagem de Química no Ensino Médio e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” são organizados três momentos, que contemplam: a) a construção de olhares e reflexões sobre o papel das TDIC no processo de ensino-aprendizagem em Química; b) a utilização de vídeos na experimentação química; e c) a inserção e utilização de sistemas interativos, com destaque nos ambientes de autoria, como possibilidade de construir e representar o conhecimento químico. A dinâmica de estudo irá ocorrer tanto por meio de atividades de estudos teóricos quanto de desenvolvimento de atividades práticas.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 15,
            pre_title: '',
            title: 'Aprendizagem de Física no Ensino Médio e TDIC',
            author: 'Henrique César da Silva, Patrick de Souza Girelli, Rafaela Rejane Samagaia e Fernando da Silva Calsavara',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/fisica-em/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/fisica-em/pagina.html',
            img: 'img/colecoes/ecd16.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Aprendizagem de Física no Ensino Médio e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” serão apresentados e sugeridos modos de utilização de alguns conceitos e tecnologias digitais da informação e comunicação (TDIC) como forma de subsidiar a constituição de propostas didáticas no âmbito do ensino de Física. Para isso, nesse caso, a temática "Nanociência & Nanotecnologias" (N&N) foi escolhida como eixo deste núcleo. Assim, em um primeiro momento, a ideia é que se possa navegar e aprofundar melhor o entendimento dessa temática e sua relação com as TDIC. Em seguida, será importante lançar um olhar para a nossa realidade, com o intuito de perceber as potencialidades didáticas fomentadas pelas TDIC que emergem como possibilidades para o contexto em foco.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 16,
            pre_title: '',
            title: 'Aprendizagem de Biologia no Ensino Médio e TDIC',
            author: 'Simão Pedro Pinto Marinho e Alessandra Marinho',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/biologia-em2/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/biologia-em2/menu-topicos.html',
            img: 'img/colecoes/ecd17.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Aprendizagem de Biologia no Ensino Médio e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” você será convidado(a) a refletir sobre a interface TDIC e Ensino de Biologia, (re)pensando sobre sua prática pedagógica e entrando em contato com novos recursos e ferramentas que apresentam as mais diversas potencialidades no contexto escolar. Serão explorados o uso das tecnologias digitais na sala de aula, a execução das atividades com ações de reflexão, levantamento de questões, elaboração de planos, organização, registro e socialização das narrativas sobre as atividades desenvolvidas a partir da integração das TDIC ao currículo de Biologia.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 17,
            pre_title: '',
            title: 'Aprendizagem de Sociologia no Ensino Médio e TDIC',
            author: 'Alexandro Dantas Trindade(Departamento de Ciência Política e Sociologia - UFPR/PR), Luciana Paula da Silva de Oliveira (Colégio Estadual Professor Algacyr Munhoz Maeder / Curitiba-PR) e Neli Gomes da Rocha (Programa de Pós-Graduação em Sociologia - UFPR/PR)',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/sociologia-em/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/sociologia-em/menu-topicos.html',
            img: 'img/colecoes/ecd18.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O módulo “Aprendizagem de Sociologia no Ensino Médio e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” é pensado como um meio de explorar questões sociológicas, bem como as relações sociais construídas temporal e historicamente que as contextualizam. Ademais, o núcleo ainda propõe reflexões sociológicas acerca do papel das tecnologias de informação e comunicação como base das relações sociais atuais, além de desenvolver atividades que proporcionem a reflexão crítica e a autonomia na criação e elaboração de conteúdos. Ler, refletir, produzir e intervir em sala de aula serão alguns dos caminhos sugeridos nessa empreitada.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 18,
            pre_title: '',
            title: 'Aprendizagem de História no Ensino Médio e TDIC',
            author: 'José Alves de Freitas Neto e José Antônio Ferreira da Silva Junior',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/historia-em/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/historia-em/pagina_2.html',
            img: 'img/colecoes/ecd19.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo de “Aprendizagem de História no Ensino Médio e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” é proposta uma reflexão acerca dos conceitos tempo, memória e narrativa no âmbito do ensino de história. São discutidas questões gerais de história e sua relação com a cultura digital, bem como seus usos e possibilidades como fator favorecedor do ensino, a partir da interação e da aprendizagem colaborativa.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 19,
            pre_title: '',
            title: 'Aprendizagem de Geografia no Ensino Médio e TDIC',
            author: 'Cláudio Benito Oliveira Ferraz (UNESP - Pres.Prudente)',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/geografia-em/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/geografia-em/pagina-54.html',
            img: 'img/colecoes/ecd20.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Aprendizagem de Geografia no Ensino Médio e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” é apresentada a proposta de estimulá-lo(a) a criar novos pensamentos espaciais, articular e dominar conceitos e outros sentidos da linguagem geográfica, de maneira a entendê-la não como algo já estabelecido por especialistas, mas como um campo do pensamento que agencia as linguagens artísticas.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 20,
            pre_title: '',
            title: 'Aprendizagem de Filosofia e TDIC',
            author: 'Sérgio Paulino Abranches, Junot Cornélio Matos, Willamis Aprígio de Araújo, Eugênio Pacelle da Costa Cavalcante, Guilherme Jordão Macêdo Dias, Karla Epiphania Lins de Gois e Luis Lucas Dantas da Silva e Nilton Guimarães da Silva',
            //url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/filosofia/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/filosofia/menu-topicos.html',
            img: 'img/colecoes/ecd21.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Aprendizagem de Filosofia e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” a Filosofia é apresentada como fator que não pode furtar-se a pensar a cultura digital e suas implicações. Em especial para o caso de professores de Filosofia: como trabalhar essa discussão contemporânea na sala de aula? Qual a sua relevância? Através da abordagem de alguns conceitos-chave, como identidade, juventude, cidadania e democracia, este material trata de oferecer algumas possibilidades de discussão em torno dessas questões.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 21,
            pre_title: '',
            title: 'Linguagens do Nosso Tempo',
            author: 'Maria Lucia Santaella Braga e Alexandre Santaella Braga',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/linguagens/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/linguagens/pagina-22.html',
            img: 'img/colecoes/ecd22.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Linguagens do Nosso Tempo” do curso “Educação na Cultura Digital” tem-se o objetivo de refletir sobre práticas de ensino e aprendizagem de Linguagens do Nosso Tempo com o uso das TDIC. O núcleo apresenta os conceitos caracterizadores das linguagens atuais, a hipermídia e a transmídia com a finalidade de evidenciar que novas linguagens não se esgotam em si mesmas. Levantar e problematizar as implicações que a hipermídia, como a complexa linguagem que é própria das redes digitais e discutir os desafios que essas formas de aprendizagem estão trazendo para a educação, especialmente para aquela que ainda continua nostálgica e exclusivamente presa ao mundo do texto impresso.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 22,
            pre_title: '',
            title: 'Tecnologias Digitais no Letramento Estatístico',
            author: 'Ruy César Pietropaolo (UNIBAN), Nielce Meneguello Lobo da Costa (UNIBAN) e Rosangela de Souza Jorge Ando ',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/letramento-estatistico/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/letramento-estatistico/menu-topicos.html',
            img: 'img/colecoes/ecd23.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O módulo “Tecnologias Digitais no Letramento Estatístico” do curso “Educação na Cultura Digital” propõe atividades e experiências visando favorecer a construção de competências referentes ao letramento estatístico, o qual inclui: o domínio de conhecimentos básicos que permitam o desenvolvimento de competências estatísticas; o exercício do pensamento crítico acerca das informações de uma pesquisa para a tomada de decisões; e a utilização das tecnologias digitais para a coleta e a organização dos dados de uma pesquisa, visando a compreensão e intervenção na realidade da escola, bem como a obtenção de medidas e comunicação dos resultados.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 23,
            pre_title: '',
            title: 'Jogos Digitais e Aprendizagem',
            author: 'Isa Beatriz da Cruz Neves, Patrícia Rocha Rodrigues, Isa de Jesus Coutinho e Andersen Caribé de Oliveira',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/jogos/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/jogos/cenario.html',
            img: 'img/colecoes/ecd24.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No módulo “Jogos Digitais e Aprendizagem” do curso “Educação na Cultura Digital” os jogos são vistos como formas de diversão interativa que proporcionam aprendizagem. Os jogos digitais podem simular ações como correr, dançar, jogar basquete, tênis, futebol, etc. Em geral, eles apresentam conflitos e competições que exigem cumprimento de regras, raciocínio lógico e uma boa dose de estratégia. Esses desafios contribuem para o desenvolvimento da visão periférica, concentração em diferentes atividades e desenvolvimento de habilidades para resolução de problemas. O objetivo do núcleo é pensar os jogos digitais em articulação com o ensino, bem como refletir sobre seus limites e possibilidades.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 24,
            pre_title: '',
            title: 'Ética na Cultura Digital',
            author: 'Sérgio Paulino Abranches, Junot Cornélio Matos, Karla Epiphania Lins de Gois, Luis Lucas Dantas da Silva, Nilton Guimarães da Silva, Willamis Aprígio de Araújo, Eugênio Pacelle da Costa Cavalcante e Guilherme Jordão Macêdo Dias',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/etica/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/etica/menu-topicos.html',
            img: 'img/colecoes/ecd25.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O módulo “Ética na Cultura Digital” do curso “Educação na Cultura Digital” parte da seguinte constatação: dentre uma série de questões contemporâneas relevantes envolvendo a cultura digital, discutidas em outros núcleos deste curso, inclui-se também um questionamento sobre ética. Este núcleo, então, discute algumas dessas questões, sem pretender esgotá-las. É proposta a reflexão sobre a relação entre Ética e Cultura Digital, discutindo os valores subjacentes ao uso das TDIC nas relações sociais e na educação e buscando analisar, de maneira vertical e interdisciplinar, as implicações éticas das diferentes possibilidades tecnológicas para a vida do ser humano.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 25,
            pre_title: '',
            title: 'A Prática Docente no Ensino Fundamental e TDIC',
            author: 'Darli Collares (UFRGS) e Nina Rosa Ventimiglia Xavier (Educação Básica)',
            // url: 'http://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/fundamental/apresentacao.html',
            url: 'https://sgmd.nute.ufsc.br/content/especializacao-cultura-digital/fundamental/pagina-2.html',
            img: 'img/colecoes/ecd26.jpg',
            score: 100,
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O módulo “A Prática Docente no Ensino Fundamental e Tecnologias Digitais de Informação e Comunicação (TDIC)” do curso “Educação na Cultura Digital” busca refletir sobre questões inerentes às especificidades da docência nos Anos Iniciais e, também, sobre as possibilidades e implicações do uso de TDIC nessa fase de escolarização, aprofundar os conhecimentos sobre o processo de aprendizagem e propor um novo olhar sobre as práticas pedagógicas baseando-se em Piaget.
O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de educadores. O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });

        colecao = {
            id: 1,
            name: 'Educação na Cultura Digital',
            tags: _tags,
            developed: 'Nute UFSC',
            developedurl: 'http://lantec.ufsc.br',
            topic_name: 'Módulos',
            topics: topicos,
            score: 100,
            img: 'img/colecoes/ecd.png',
            duration: 50,
            created_at: '2015-06-13T00:31:24.484Z',
            updated_at: '2015-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O material oferece subsídios para uma formação apoiada nos diversos âmbitos das Tecnologias Digitais de Informação e Comunicação (TDIC) em currículos escolares, além de explorar, demonstrar e analisar as possibilidades criativas e elementos que contribuam para a construção de novas dinâmicas para a formação de professores(as) com foco na integração das Tecnologias de Informação e Comunicação nas escolas e seus diversos usos.`,
            historic: `O curso foi criado numa parceria entre Ministério da Educação e Universidade Federal de Santa Catarina, tendo como público alvo professores, coordenadores, gestores pedagógicos e outros membros da equipe gestora que fossem responsáveis pelo processo de formação da escola, além de multiplicadores dos Núcleos de Tecnologia Educacional (NTE) e Núcleos de Tecnologia Municipal (NTM). O curso foi concluído em 2015, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3,
        };

        colecoes.push(colecao);

        //PNAIC//

        // tagnames = ['Alfabetização', 'Educação', 'Coleção', 'PNAIC', "Alfabetização na Idade Certa"]
        // _tags = [];
        // for (let i = 0; i < tagnames.length; i++) {
        //     _tags.push({
        //         name: tagnames[i]
        //     });
        // };

        // topicos = [];
        // topicos.push({
        //     id: 0,
        //     pre_title: '',
        //     title: `Currículo na perspectiva da inclusão e da diversidade: as Diretrizes Curriculares Nacionais da Educação Básica e o Ciclo de Alfabetização`,
        //     author: 'Secretaria de Educação Básica.',
        //     url: 'http://sgmd.nute.ufsc.br/content/pnaic-sgmd/caderno-1/home.html',
        //     img: 'img/colecoes/pnaic1.jpg',
        //     tags: _tags,
        //     score: 100,
        //     duration: 50,
        //     created_at: '2016-06-13T00:31:24.484Z',
        //     updated_at: '2016-06-16T12:41:22.885Z',
        //     language: {
        //         id: 1,
        //         name: 'Português',
        //         code: 'pt'
        //     },
        //     license: null,
        //     description: `No Caderno 01 de Pedagogia e Diretrizes Curriculares do Pacto Nacional pela Alfabetização na Idade Certa (PNAIC-2015) são apresentados os modelos de organização escolar em seus âmbitos legal e social, evidenciando as práticas escolares e a relação  que desempenham na organização do currículo, na análise do cotidiano escolar, na problematização de dinâmicas docentes, na inclusão e diversidade, além de ser aberta uma discussão  sobre currículo, avaliação, educação do campo, educação inclusiva e diversidade linguística como tópicos de relevância. O material foi desenvolvido para a formação continuada de professores, pedagogos e alfabetizadores de todo Brasil.`,
        //     likes_count: 3
        // });
        // topicos.push({
        //     id: 1,
        //     pre_title: '',
        //     title: 'A criança no Ciclo de Alfabetização',
        //     author: 'Secretaria de Educação Básica.',
        //     url: 'http://sgmd.nute.ufsc.br/content/pnaic-sgmd/caderno-2/home.html',
        //     img: 'img/colecoes/pnaic2.jpg',
        //     tags: _tags,
        //     score: 100,
        //     duration: 50,
        //     created_at: '2016-06-13T00:31:24.484Z',
        //     updated_at: '2016-06-16T12:41:22.885Z',
        //     language: {
        //         id: 1,
        //         name: 'Português',
        //         code: 'pt'
        //     },
        //     license: null,
        //     description: `O Caderno 02 do Ciclo de Alfabetização do Pacto Nacional pela Alfabetização na Idade Certa (PNAIC-2015) mostra a indispensabilidade de práticas que garantam os direitos das crianças, tais como a infância, trazendo à tona a importância do lúdico para uma melhor aprendizagem. Aponta, também, a necessidade de afeto nas salas de aula, a relação criança, escrita e infância, a educação inclusiva  e a educação do campo junto com suas individualidades como temática para reflexão. O texto apresenta relatos com base nas experiências de professores envolvidos com as temáticas anteriormente descritas. O material foi desenvolvido para a formação continuada de professores e alfabetizadores de todo Brasil.`,
        //     likes_count: 3
        // });
        // topicos.push({
        //     id: 2,
        //     pre_title: '',
        //     title: 'Interdisciplinaridade no ciclo de alfabetização',
        //     author: 'Secretaria de Educação Básica.',
        //     url: 'http://sgmd.nute.ufsc.br/content/pnaic-sgmd/caderno-3/home.html',
        //     img: 'img/colecoes/pnaic3.jpg',
        //     tags: _tags,
        //     score: 100,
        //     duration: 50,
        //     created_at: '2016-06-13T00:31:24.484Z',
        //     updated_at: '2016-06-16T12:41:22.885Z',
        //     language: {
        //         id: 1,
        //         name: 'Português',
        //         code: 'pt'
        //     },
        //     license: null,
        //     description: `No Caderno 03 de Ciclo de Alfabetização do Pacto Nacional pela Alfabetização na Idade Certa (PNAIC-2015) é iniciada uma discussão sobre interdisciplinaridade e a dificuldade docente de incorporar essa perspectiva a sua prática pedagógica. É apresentada a interdisciplinaridade como possibilidade de o favorecer o processo de alfabetizar e novas perspectivas para uma melhor organização de projetos, sequências didáticas e aulas interdisciplinares, a importância do conhecimento não fracionado, isto é, de valorizar  os conteúdos integradamente e também da leitura como prática que pode unir conteúdos no meio escolar. Incorporar a interdisciplinaridade às práticas pedagógicas significa pensar o currículo da escola. O material foi desenvolvido para a formação continuada de professores e alfabetizadores de todo Brasil.`,
        //     likes_count: 3
        // });
        // topicos.push({
        //     id: 3,
        //     pre_title: '',
        //     title: 'A organização do trabalho escolar e os recursos didáticos na alfabetização',
        //     author: 'Secretaria de Educação Básica.',
        //     url: 'http://sgmd.nute.ufsc.br/content/pnaic-sgmd/caderno-4/home.html',
        //     img: 'img/colecoes/pnaic4.jpg',
        //     tags: _tags,
        //     score: 100,
        //     duration: 50,
        //     created_at: '2016-06-13T00:31:24.484Z',
        //     updated_at: '2016-06-16T12:41:22.885Z',
        //     language: {
        //         id: 1,
        //         name: 'Português',
        //         code: 'pt'
        //     },
        //     license: null,
        //     description: `No Caderno 04 de Organização do Trabalho Escolar do Pacto Nacional pela Alfabetização na Idade Certa (PNAIC-2015) são tematizados quais fundamentos são considerados essenciais  no processo educativo e em especial na alfabetização. Tais fundamentos são necessários para se pensar a organização da prática pedagógica, as atividades que norteiam as práticas docentes, que sujeitos queremos formar, quais recursos são possíveis de se utilizar e como utilizá-los. Também é apresentada a relevância que existe no uso de novas tecnologias em atividades de alfabetização, o uso de dinâmicas e jogos confeccionados pelas crianças em sala de aula e o uso de obras literárias como auxiliares no processo de alfabetização. O material foi desenvolvido para a formação continuada de professores e alfabetizadores de todo Brasil.`,
        //     likes_count: 3
        // });
        // topicos.push({
        //     id: 4,
        //     pre_title: '',
        //     title: 'Ciências da Natureza no Ciclo de Alfabetização',
        //     author: 'Secretaria de Educação Básica.',
        //     url: 'http://sgmd.nute.ufsc.br/content/pnaic-sgmd/caderno-8/home.html',
        //     img: 'img/colecoes/pnaic8.jpg',
        //     tags: _tags,
        //     score: 100,
        //     duration: 50,
        //     created_at: '2016-06-13T00:31:24.484Z',
        //     updated_at: '2016-06-16T12:41:22.885Z',
        //     language: {
        //         id: 1,
        //         name: 'Português',
        //         code: 'pt'
        //     },
        //     license: null,
        //     description: `No Caderno 08 de Ciências da Natureza do Pacto Nacional pela Alfabetização na Idade Certa (PNAIC-2015) são apresentadas discussões sobre as relações das ciências da natureza com a alfabetização. A alfabetização científica é apresentada como um direito de aprendizagem das crianças.  É focalizada a relação entre a ciência, tecnologia e  sociedade. Também são mostradas novas possibilidades e sugestões de métodos para ensino de ciências, como a importância do “fazer Ciência” e de se aprender ciência nos diversos espaços de educação, da experimentação e do despertar da curiosidade dos alunos. Ainda é dado destaque ao uso de livros didáticos e paradidáticos na sala de aula, apontando o lúdico e uma relação contextualizada com o cotidiano das crianças como temáticas fundamentais para se aprender Ciências. O material foi desenvolvido para a formação continuada de professores e alfabetizadores de todo Brasil.`,
        //     likes_count: 3
        // });

        // colecao = {
        //     id: 2,
        //     name: 'Pacto Nacional pela Alfabetização na Idade Certa',
        //     tags: _tags,
        //     developed: 'MEC',
        //     topic_name: 'Cadernos',
        //     topics: topicos,
        //     score: 100,
        //     img: 'img/colecoes/pnaic.png',
        //     duration: 50,
        //     created_at: '2016-06-13T00:31:24.484Z',
        //     updated_at: '2016-06-16T12:41:22.885Z',
        //     language: {
        //         id: 1,
        //         name: 'Português',
        //         code: 'pt'
        //     },
        //     license: null,
        //     description: `Pacto Nacional pela Alfabetização na Idade Certa é um compromisso formal assumido pelos governos federal, do Distrito Federal, dos estados e municípios de assegurar que todas as crianças estejam alfabetizadas até os oito anos de idade, ao final do 3º ano do ensino fundamental.`,
        //     likes_count: 3,
        // };

        // colecoes.push(colecao);

        //SENAD//

        tagnames = ['Drogas', 'Prevenção', 'Conselheiros', 'SENAD', "Contextos"]
        _tags = [];
        for (let i = 0; i < tagnames.length; i++) {
            _tags.push({
                name: tagnames[i]
            });
        };

        topicos = [];
        topicos.push({
            id: 0,
            pre_title: 'Iniciando a Trilha',
            title: '',
            author: 'Nute UFSC',
            // url: 'http://conselheiros6.nute.ufsc.br/ebook/iniciando-a-trilha.html',
            url: 'https://sgmd.nute.ufsc.br/content/sgmd-resources-conselheiros/ebook/iniciando-a-trilha.html',
            img: 'img/colecoes/senad1.jpg',
            tags: _tags,
            score: 100,
            duration: 50,
            created_at: '2014-06-13T00:31:24.484Z',
            updated_at: '2014-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O módulo “Iniciando a trilha” do curso “Prevenção dos Problemas Relacionados ao Uso de Drogas” tem como objetivo contextualizar a história do consumo de drogas, com o intuito de problematizar o tema. Busca introduzir material do curso, que almeja desconstruir visões reducionistas, trabalhando a partir de três dimensões: sujeito, contexto, e drogas. O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de conselheiros e agentes comunitários envolvidos na prevenção do uso de drogas no país. O curso foi concluído em 2014, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 1,
            pre_title: 'Módulo 1: ',
            title: 'Sujeitos, contextos e drogas',
            author: 'Nute UFSC',
            // url: 'http://conselheiros6.nute.ufsc.br/ebook/modulo-1.html',
            url: 'https://sgmd.nute.ufsc.br/content/sgmd-resources-conselheiros/ebook/modulo-1.html',
            img: 'img/colecoes/senad2.jpg',
            tags: _tags,
            score: 100,
            duration: 50,
            created_at: '2014-06-13T00:31:24.484Z',
            updated_at: '2014-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O módulo “Sujeitos, contextos e drogas” do curso “Prevenção dos Problemas Relacionados ao Uso de Drogas” expõe o contexto histórico, social e cultural de usuários de drogas, bem como seus padrões e tendências, buscando mostrar ao leitor os diferentes cenários existentes neste âmbito. São levantadas questões acerca dos sujeitos usuários, as substâncias individualmente e seus respectivos efeitos. O módulo ainda apresenta pesquisas e entrevistas com professores de diversas áreas do conhecimento relacionadas ao estudo de substâncias psicoativas e seus dependentes. O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de conselheiros e agentes comunitários envolvidos na prevenção do uso de drogas no país. O curso foi concluído em 2014, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 2,
            pre_title: 'Módulo 2: ',
            title: 'Redes para promoção, prevenção, redução de danos e tratamento',
            author: 'Nute UFSC',
            // url: 'http://conselheiros6.nute.ufsc.br/ebook/modulo-2.html',
            url: 'https://sgmd.nute.ufsc.br/content/sgmd-resources-conselheiros/ebook/modulo-2.html',
            img: 'img/colecoes/senad3.jpg',
            tags: _tags,
            score: 100,
            duration: 50,
            created_at: '2014-06-13T00:31:24.484Z',
            updated_at: '2014-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O módulo “Redes para promoção, prevenção, redução de danos e tratamento” do curso “Prevenção dos Problemas Relacionados ao Uso de Drogas” apresenta o histórico recente da bioética, os conceitos e riscos de vulnerabilidade, fatores de proteção e prevenção do uso de drogas, além de entrevistas com profissionais que atuam no campo de programas preventivos,visam trazer à tona a importância de informar a população acerca da dependência e de desenvolver políticas multidisciplinares e intersetoriais. O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de conselheiros e agentes comunitários envolvidos na prevenção do uso de drogas no país. O curso foi concluído em 2014, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });
        topicos.push({
            id: 3,
            pre_title: 'Módulo 3: ',
            title: 'Políticas Públicas e Legislação sobre Drogas',
            author: 'Nute UFSC',
            // url: 'http://conselheiros6.nute.ufsc.br/ebook/modulo-3.html',
            url: 'https://sgmd.nute.ufsc.br/content/sgmd-resources-conselheiros/ebook/modulo-3.html',
            img: 'img/colecoes/senad4.jpg',
            tags: _tags,
            score: 100,
            duration: 50,
            created_at: '2014-06-13T00:31:24.484Z',
            updated_at: '2014-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O módulo “Políticas Públicas e Legislação sobre Drogas” do curso “Prevenção dos Problemas Relacionados ao Uso de Drogas” evidencia a relevância das medidas intersetoriais tomadas publicamente e o compromisso de cada um para o melhor cumprimento destas. Ainda é apresentada a relação entre os conselhos e movimentos sociais na atuação com fatores protetores e a importância das políticas de saúde mental e psicossociais presentes no SUS. O material foi elaborado para este curso de Especialização, na modalidade de ensino a distância, tendo em vista o seu papel na formação continuada de conselheiros e agentes comunitários envolvidos na prevenção do uso de drogas no país. O curso foi concluído em 2014, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3
        });

        colecao = {
            id: 2,
            name: 'Prevenção dos Problemas Relacionados ao Uso de Drogas',
            tags: _tags,
            developed: 'Nute UFSC',
            developedurl: 'http://lantec.ufsc.br',
            topic_name: 'Módulos',
            topics: topicos,
            score: 100,
            img: 'img/colecoes/senad.png',
            duration: 50,
            created_at: '2014-06-13T00:31:24.484Z',
            updated_at: '2014-06-16T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Visa propiciar aos leitores a compreensão da conjuntura social dos usuários e dependentes de substâncias psicoativas, bem como problematizar as dimensões trabalhadas: sujeito, contexto e drogas. Tem como objetivo possibilitar uma formação crítica, que respeite a multiplicidade dos conhecimentos neste campo e que consolide o compromisso com práticas comprometidas com a transformação da realidade social. O material ainda traz pesquisas, entrevistas com profissionais da área e projetos de intervenção elaborados pelos próprios cursistas.`,
            historic: `A 6ª edição do Curso de Prevenção dos Problemas Relacionados ao Uso de Drogas – Capacitação para Conselheiros e Lideranças Comunitárias foi promovido pela Secretaria Nacional de Políticas Sobre Drogas do Ministério da Justiça – SENAD/MJ em parceria com Universidade Federal de Santa Catarina. Foram oferecidas 40 mil vagas para conselheiros e lideranças comunitárias de todo o Brasil que receberam capacitação para atuar na prevenção de crack, álcool e outras drogas. O curso foi concluído em 2014, e agora o material está disponível para leitura a todos que tiverem interesse na temática.`,
            likes_count: 3,
        };

        colecoes.push(colecao);



        // ------------------------------------------------------------------------
         //Banco de Práticas Inspiradoras//

        tagnames = ['Práticas', 'Casos', 'Competências gerais', 'Base Nacional Comum Curricular', 'BNCC']
        _tags = [];
        for (let i = 0; i < tagnames.length; i++) {
            _tags.push({
                name: tagnames[i]
            });
        };

        topicos = [];
        topicos.push({
            id: 0,
            pre_title: 'Caso 1: Cara de Brasil (Competência 1)',
            title: '',
            author: 'Beatriz Souza Duarte e Bruna Lúcia Frigo',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso01.html',
            img: 'img/colecoes/boas1.jpg',
            tags: ['Educação por projetos', 'Relações étnico-raciais', 'Cultura afro', 'Cultura indígena', 'Identidade'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O projeto “Brasil, cara de quê?”, das professoras Beatriz Duarte e Bruna Frigo, da Escola Municipal de Educação Infantil Parque das Nações I, em São Paulo, ajudou alunos da educação infantil a identificarem as principais etnias que formam a população brasileira – negra, indígena e europeia. Por meio das memórias da infância de seus pais, histórias de migração e miscigenação e de vivências lúdicas com representantes de cada cultura, as crianças conscientizaram-se a respeito de quem são e de onde vêm seus costumes. Os resultados mais relevantes foram a desconstrução de estereótipos e preconceitos e a autoaceitação dos alunos da etnia a qual pertencem. Os assuntos abordados no projeto foram inspirados no tema do projeto político-pedagógico da escola de 2016: as relações étnico-raciais.`,
            likes_count: 3
        });

        topicos.push({
            id: 1,
            pre_title: 'Caso 2: Educação aplicada à vida no sertão (Competência 2)',
            title: '',
            author: 'José Hélio Pereira',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso02.html',
            img: 'img/colecoes/boas2.jpg',
            tags: ['Educação por projetos', 'Investigação', 'Meio ambiente', 'Água', 'Decantação', 'Resolução de problemas'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `"Uma solução alternativa para o tratamento simplificado da água” é o nome do projeto do professor José Helio Pereira, desenvolvido na escola Casimira Leite Montenegro, em Desterro (PB), em 2017. Com clima semiárido, a região enfrentou problemas de abastecimento de água, o que deixou a população preocupada. Visando melhorar as condições da água barrenta fornecida por caminhões-pipa à comunidade, o professor do 4º ano propôs a seus alunos que pesquisassem formas de filtrar a água. Após leituras e investigações científicas, os alunos descobriram uma grande aliada encontrada na zona em que vivem: a acácia branca (Moringa oleífera) e comprovaram, na prática, a efetividade do processo de decantação estimulado pela semente da planta, que separa o barro da água. `,
            likes_count: 3
        });
        topicos.push({
            id: 2,
            pre_title: 'Caso 3: Pertencer para preservar (Competência 3)',
            title: '',
            author: 'Laçanã Costa Simões',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso03.html',
            img: 'img/colecoes/boas3.jpg',
            tags: ['Educação por projetos', 'Artes', 'Patrimônio', 'Preservação', 'Pertencimento', 'Diálogo', 'Cooperação'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Na Escola Municipal Governador Roberto Santos, em Salvador, a professora de artes Iaçanã Simões desenvolveu, em 2017, o projeto “Seja bem-vindo e volte sempre! Um olhar para a conservação do patrimônio público escolar através da arte”. As duas mensagens contidas no título do projeto foram desenhadas, inicialmente, nas portas das turmas do ensino fundamental. A ideia da intervenção era conservar o patrimônio escolar e educar sobre a preservação do espaço público em geral, pois a professora observou que os estudantes não degradavam os ambientes nos quais tinham realizado algum projeto artístico. Além das mensagens, as portas ganharam ilustrações escolhidas por cada turma. Os alunos gostaram tanto da atividade que pintaram, também, outros ambientes da escola.`,
            likes_count: 3
        });
        /*topicos.push({
            id: 3,
            pre_title: 'Caso 4: Encantamento musical (Competência 4)',
            title: '',
            author: 'Diogo Silas de Ajala Lobo',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso04.html',
            img: 'img/colecoes/boas4.jpg',
            tags: ['Educação por projetos', 'Musicalização', 'Instrumentos', 'Sons', 'Cantigas', 'Brincar'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O professor de artes Diogo Lobo, do Centro de Educação Infantil do Parque dos Poderes, em Campo Grande, implementou o projeto “Musicalização na educação infantil: cantando e encantando” em 2016. Com ele, mais de 400 crianças do berçário e da educação infantil puderam contar com a música para desenvolver diversas competências e habilidades pedagógicas, uma vez que o projeto foi além do uso das canções apenas como passatempo. Ao escutar melodias e manipular instrumentos, as crianças melhoraram a coordenação motora, a fala, a criatividade e a sociabilidade, além de ampliarem seu repertório cultural e desenvolverem apreço pela música.`,
            likes_count: 3
        });*/
        topicos.push({
            id: 4,
            pre_title: 'Caso 5: Curiosidade científica (Competência 5) ',
            title: '',
            author: 'Maria Cristina Fachin Liberalesso',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso05.html',
            img: 'img/colecoes/boas5.jpg',
            tags: ['Educação por projetos', 'Investigação',  'Pesquisa na internet',  'Raciocínio lógico', 'Insetos'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Na cidade de Pinhal Grande (RS), fica a Escola Municipal de Educação Fundamental São Thomaz de Aquino, que, em 2016, teve um de seus banheiros infestado por insetos. A visita inesperada dos animais e a curiosidade dos alunos em saber que bichos eram aqueles, se eram venenosos, e, principalmente, porque havia tantos deles ali, levou a professora do 4º ano, Maria Cristina Fachin, a explorar a pesquisa científica com seus alunos. Ela recolheu uma amostra do inseto e incitou os estudantes a procurarem informações em fontes confiáveis, dando origem ao projeto “Pequeno Cientista”. Com isso, as crianças puderam aprender noções de metodologia de pesquisa e testaram hipóteses práticas para entender o que causou a infestação no banheiro da escola.`,
            likes_count: 3
        });
        topicos.push({
            id: 5,
            pre_title: 'Caso 6: O Haiti é aqui (Competência 1)',
            title: '',
            author: 'Diana Aparecida Feuser Ribeiro',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso06.html',
            img: 'img/colecoes/boas6.jpg',
            tags: ['Educação por projetos', 'Berçário', 'Adaptação', 'Diversidade de saberes', 'Intercâmbio de culturas', 'Identidade'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Em 2017, havia um bebê haitiano na turma do berçário 1 do Centro de Educação Infantil Castelo Branco, em Joinville (SC), e a pedagoga responsável, Diana Ribeiro, preocupou-se com a inclusão da família nas atividades escolares, o que é crucial para essa faixa-etária. Como os pais do bebê se comunicavam mal em português, a professora decidiu aprender expressões na língua nativa deles. Uma dessas expressões, “Sali, koman ouye?” (Olá, como vai?), nomeou o projeto de integração entre as culturas haitiana e brasileira. Ao ensinar os costumes locais, o trabalho beneficiou não somente a família estrangeira, mas também as famílias brasileiras procedentes de outros estados. O incentivo a essa descoberta cultural se materializou na decoração e em outras atividades, e trouxe para o berçário um pouco do lar de cada bebê.`,
            likes_count: 3
        });
        topicos.push({
            id: 6,
            pre_title: 'Caso 7: Mensagens para um mundo sustentável (Competência 7)',
            title: '',
            author: 'Martamiria Delmiro dos Santos',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso07.html',
            img: 'img/colecoes/boas7.jpg',
            tags: ['Educação por projetos', 'Consciência socioambiental', 'Consumo responsável', 'Mineralogia', 'Coleta seletiva'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Trabalhar a sustentabilidade com foco na mineralogia foi o diferencial do projeto da Escola Municipal Dr. Luiz Gonzaga Maranhão, em Jaboatão dos Guararapes (PE), que recebeu o nome “Educação ambiental: uso consciente dos recursos minerais”. Estimulada pelo tema do projeto político-pedagógico da escola em 2016, a professora Martamiria dos Santos, do 3º ano, decidiu mostrar aos alunos de onde vêm os materiais usados para construir objetos cotidianos, como cadeiras, paredes, portas, etc. Os alunos entenderam como as matérias-primas minerais são formadas na natureza, o valor comercial que possuem e a importância de usá-las de forma consciente, o que os estimulou a praticar a reciclagem e a preservação ambiental.`,
            likes_count: 3
        });
        topicos.push({
            id: 7,
            pre_title: 'Caso 8: A África me representa (Competência 8)',
            title: '',
            author: ' Márcia Theodorico Mezzomo',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso08.html',
            img: 'img/colecoes/boas8.jpg',
            tags: ['Educação por projetos', 'Relações étnico-raciais', 'Cultura afro', 'Preconceito', 'Identidade', 'Representatividade', 'Diálogo'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No entorno da Creche Morro da Queimada, em Florianópolis, há forte presença da cultura afro-brasileira. Na turma de educação infantil, por exemplo, metade dos alunos são negros, e isso fez com que a professora Marcia Mezzomo decidisse estimular a representatividade dessas crianças desde cedo. Para tanto, em consonância com a lei federal 10.639/03, sobre ensino da história da cultura afro-brasileira, ela trouxe para o imaginário infantil figuras como heróis, príncipes e princesas africanos, e pode explorar a diversidade cultural e as relações étnico-culturais a partir do tema “Do rei do fogo ao rei do samba: rainha e rei da África eu sou”. A população local, como familiares e representantes de grupos artísticos, contribuiu para mostrar às crianças as influências mais marcantes da cultura africana na cultura nacional.`,
            likes_count: 3
        });
        topicos.push({
            id: 8,
            pre_title: 'Caso 9: Antídoto contra o preconceito (Competência 9)',
            title: '',
            author: 'Lorena Bárbara Santos Costa',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso09.html',
            img: 'img/colecoes/boas9.jpg',
            tags: ['Educação por projetos',  'Relações étnico-raciais', 'Cultura afro', 'Samba', 'Identidade', 'Representatividade', 'Bullying', 'Preconceito', 'Empatia', 'Respeito', 'Diversidade'],            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `A cultura afro-brasileira tem grande expressividade em Salvador, onde as salas de aulas costumam ser compostas, principalmente, por alunos negros, como no 5º ano da Escola Municipal Deputado Gersino Coelho. Ao perceber que seus alunos tinham dificuldade em aceitar-se como negros, e que tratavam uns ao outros de forma preconceituosa, a professora Lorena Costa usou a temática “Vem sambar e aprender: o samba como instrumento de resistência e representação da cultura afro-brasileira” para abordar a descendência africana no país. O resgate do samba da Bahia, ao longo das atividades, foi todo permeado por aspectos da história e da cultura afro, como a trajetória de resistência das comunidades quilombolas. Como resultado, a familiarização com essa cultura despertou a empatia, o respeito e o diálogo entre os alunos.`,
            likes_count: 3
        });
        topicos.push({
            id: 9,
            pre_title: 'Caso 10: Um olhar de esperança (Competência 10)',
            title: '',
            author: 'João Paulo Vicente da Silva',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso10.html',
            img: 'img/colecoes/boas10.jpg',
            tags: ['Educação por projetos; Inclusão; Esporte; Adaptação curricular; Empatia'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Em 2017, o aluno cadeirante Renner Luís entrou no 5o ano do Centro Infantil Estrela do Mar, em Extremoz (RN), e ninguém imaginava que alcançaria o 3º lugar estadual, e 5º nacional, em campeonatos paralímpicos de bocha. As conquistas do garoto foram possíveis graças ao empenho do professor de educação física João Paulo da Silva, que pesquisou maneiras de incluí-lo na disciplina e em outras atividades escolares, criando o projeto “Contribuições da educação física na inclusão das pessoas com paralisia cerebral no ensino regular”. A participação de Renner nas aulas e campeonatos ajudaram a melhorar a sociabilidade dos colegas com ele, além de ter contribuído positivamente para sua autoestima.`,
            likes_count: 3
        });
        topicos.push({
            id: 10,
            pre_title: 'Caso 11: Fábulas favorecem alfabetização de crianças (Competência 4)',
            title: '',
            author: 'Erika Silva do Carmo',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso11.html',
            img: 'img/colecoes/boas11.jpg',
            tags: ['Educação por projetos', 'Narração de histórias', 'Fábulas', 'Alfabetização', 'Cooperação'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Desde 2016 existe o projeto “Minha escola lê e multiplica saberes: viajando no mundo das fábulas” na Escola Estadual Coronel Cruz, em Itacoatiara (AM). Idealizado pela professora do 1º ano Erika do Carmo o projeto começou com fábulas clássicas, como a da galinha dos ovos de ouros, evoluiu para lendas da região amazônica, como a do boto-cor-de-rosa, até trabalhar a autoria própria das crianças. As principais atividades que estimularam os pequenos foram: assistir animações, ler fábulas e reinterpretá-las com desenhos, oralmente e textualmente, além de acompanhar narrativas com teatro de fantoches. O uso das diferentes linguagens melhorou o processo de alfabetização da turma, explorando tópicos como vocabulário e separação de sílabas.`,
            likes_count: 3
        });
        topicos.push({
            id: 11,
            pre_title: 'Caso 12: Horta conecta famílias à escola (Competência 2)',
            title: '',
            author: 'Cleide Maria de Souza',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso12.html',
            img: 'img/colecoes/boas12.jpg',
            tags: ["Educação por projetos", "Oralidade", "Ciências", "Controle biológico", "Horta", "Consciência socioambiental", "Cooperação", "Participação dos pais"],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `A participação familiar foi crucial para o desenvolvimento do projeto “Horta Vertical: Ajudantes da Natureza” na Centro de Ensino Fundamental Cerâmicas Reunidas Dom Bosco, em Brasília (DF). Comandada pela professora Cleide de Souza, a educação infantil pode entender como a natureza trabalha de forma harmônica e a importância de cada ser vivo para manter a estabilidade ambiental. A relação entre insetos e plantas foi focalizada e, com a ajuda das famílias, hortaliças foram plantadas verticalmente em um muro ao lado da sala de aula. A partir de observação contínua da horta da escola, além de visita a uma horta orgânica de uma das mães da turma, as crianças aprenderam que os insetos são verdadeiros “ajudantes da natureza”, como elas mesmas definiram.`,
            likes_count: 3
        });
        topicos.push({
            id: 12,
            pre_title: 'Caso 13: Meu espelho negro (Competência 8)',
            title: '',
            author: 'Cristiane Santos de Melo',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso13.html',
            img: 'img/colecoes/boas13.jpg',
            tags: ["Educação por projetos", "Identidade", "Representatividade", "Mulher negra", "Empoderamento feminino", "Cabelo crespo", "Ganhadeiras de Itapuã"],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Em 2015, a professora Cristiane de Melo, do Centro Municipal de Educação Infantil Dr. Djalma Ramos, em Lauro de Freitas (BA), valorizou as raízes africanas com o empoderamento do público feminino. O âmbito social, especialmente a mídia, poucas vezes apresenta mulheres negras como referencial de beleza, e as crianças da turma não consideravam bonita uma mulher sem pele clara e cabelos lisos. Ao convidar a cantora negra Mariene de Castro como personalidade de referência, esse cenário mudou. Foi aí que surgiu o projeto “Mariene: A flor que desabrochou nossa gente”. Por meio de sambas da cantora em parceria com um grupo de ganhadeiras, as meninas vivenciaram a representatividade e aprenderam a valorizar seus traços, como o cabelo crespo. O projeto também ajudou a elevar a autoestima de mães e funcionárias da escola.`,
            likes_count: 3
        });
        topicos.push({
            id: 13,
            pre_title: 'Caso 14: Vestígios do tempo (Competência 1)',
            title: '',
            author: 'Lilian Mara Bonette Bianchini',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso14.html',
            img: 'img/colecoes/boas14.jpg',
            tags: ["Educação por projetos", "Estudo do meio", "Arqueologia", "Cultura indígena", "Caminho de Peabiru", "Vestígios líticos"],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Na cidade de Engenheiro Beltrão (PR) há vestígios do Caminho de Peabiru, rota aberta por civilizações pré-coloniais que percorriam territórios entre os Oceanos Pacífico e Atlântico. A professora de história Lilian Bianchini, da Escola Municipal de Ensino Fundamental Maria Aparecida Medeiros, criou o projeto “Viajando pelos caminhos da nossa história” para mostrar aos alunos do ensino fundamental as marcas dos povos indígenas, habitantes do território nacional muito antes da chegada dos europeus. A turma ganhou uma “mala de exploração”, onde guardavam o caderno com o registro de suas descobertas a respeito da história e cultura desses povos. A visita a museus da região dedicados ao tema, além da realização de um percurso da rota histórica, deram insumos práticos para a pesquisa dos alunos.`,
            likes_count: 3
        });


        topicos.push({
            id: 14,
            pre_title: 'Caso 15: Além da imaginação (Competência 7) ',
            title: '',
            author: 'Francisca Deusineide dos Santos Nasário',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso15.html',
            img: 'img/colecoes/boas15.jpg',
            tags: ['Educação por projetos', 'Pesquisa de campo', 'Lenda urbana','Tradição oral', 'Conto', 'Leitura', 'Reescrita', 'Rosa dos ventos'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `No projeto “A escola onde eu estudo e uma lenda tenebrosa”, da professora Francisca Nasário, os curiosos alunos do 4º ano investigaram se era verdadeira a lenda de que a escola teria sido construída no terreno de um antigo cemitério. Após entrevistas com antigos moradores, a turma relacionou as histórias da construção da escola às da formação de Pau dos Ferros (RN), e elaborou de uma linha do tempo. Para apresentar o gênero terror e suspense, a professora pediu aos alunos que produzissem as próprias lendas sobre a escola, inspiradas no que leram ou ouviram, aprendendo com a escrita noções de gênero, ortografia e paragrafação. Os contos reescritos foram lidos em sala de aula e integraram a exposição do Dia do Folclore da Escola Estadual Ubiratan Pereira Galvão.`,
            likes_count: 3
        });

        topicos.push({
            id: 15,
            pre_title: 'Caso 16: Redescoberta indígena (Competência 3)',
            title: '',
            author: 'Flávia Roberta Alves Costa',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso16.html',
            img: 'img/colecoes/boas16.jpg',
            tags: ['Educação por projetos', 'Arte indígena', 'Cultura indígena', 'Identidade', 'Representatividade'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O projeto “Inspirações indígenas” foi criado pela professora de artes Flávia Costa para quebrar estereótipos sobre o que é ser indígena nos dias de hoje. Em 2017, a Escola Municipal Divino Espírito Santo, no Recife, recebeu a visita de quatro índios fulni-ôs, que conversaram com os alunos. Como os estudantes ficaram interessados na pintura corporal dos índios, Flávia explicou conceitos de produções artísticas originais, criações inspiradas nelas e cópias, depois, relacionou a pintura corporal com a body art. Os alunos pintaram o próprio corpo com as palavras força, fé, luta, cultura e resistência. A professora também levou fotos das expressões artísticas de quatro etnias presentes em Pernambuco e deu uma oficina de tramas, reciclando sobras de papéis.`,
            likes_count: 3
        });

        topicos.push({
            id: 16,
            pre_title: 'Caso 17: Além das fronteiras (Competência 1)',
            title: '',
            author: 'Patrícia dos Santos Lima',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso17.html',
            img: 'img/colecoes/boas17.jpg',
            tags: ['Educação por projetos', 'Pesquisa na internet', 'Oralidade', 'Cultura', 'Gamificação'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Criado pela professora de inglês Patrícia Lima da Escola Estadual de Ensino Fundamental e Médio Marcelo Candia Subsede I, de Porto Velho (RO), o projeto “Viagem inglesa” pede ao ensino médico que “explore” um país de língua inglesa. Cada turma escolhe um país anglófono e tem de buscar informações históricas, geográficas, econômicas e culturais para apresentar aquela realidade numa feira multicultural aberta à comunidade. Os grupos ficam responsáveis por apresentações de dança, teatro, descrições de pratos típicos, entre outras, com parte dessas vivências faladas em inglês. Em paralelo, a professora faz um trabalho de tutoria, ajudando, por exemplo, a apurar os critérios de pesquisa na web para encontrar informações de fontes confiáveis.`,
            likes_count: 3
        });

        topicos.push({
            id: 17,
            pre_title: 'Caso 18: Relaxar e dialogar para aprender (Competência 8)',
            title: '',
            author: 'Carolina Corado da Silva Oliveira',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso18.html',
            img: 'img/colecoes/boas18.jpg',
            tags: ['Educação por projetos', 'Ansiedade','Relaxamento', 'Diálogo','Protagonismo', 'Autonomia', 'Paulo Freire'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O projeto “Aprender a relaxar e relaxar para aprender: metodologias ativas de ensino em biologia” desenvolvido pela professora Carolina Oliveira com os 1º e 3º anos do Instituto Federal do Rio Grande do Norte, propunha que os alunos se conhecessem melhor, reconhecessem estados de ansiedade para poder cuidar da própriab saúde física e emocional. Carolina aproximou-se de técnicas comuns à meditação e ao mindfulness para priorizar estratégias de diálogo e facilitar os quatro módulos criados para o ensino de biologia: os alunos conheceram conceitos de metodologia, discutiram bioquímica e nutrição ao andarem pelo jardim, responderam perguntas sobre os grupos alimentares e debateram metabolismo em um jogo, e trabalharam citologia ao vivenciarem experiências em sala, comparando as reações de infusão do chá em água quente e em água fria.`,
            likes_count: 3
        });

        topicos.push({
            id: 18,
            pre_title: 'Caso 19: Os cordéis da minha terra (Competência 1)',
            title: '',
            author: 'José Souza dos Santos',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso19.html',
            img: 'img/colecoes/boas19.jpg',
            tags: ['Educação por projetos', 'Cultura nordestina', 'Folclore', 'Produção artística', 'Cordel', 'Lampião'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O professor de português José dos Santos pediu aos alunos do 8º ano da Escola Municipal de Paripiranga (BA) que se inspirassem na tradição oral de familiares mais velhos, muitos analfabetos, para ir às ruas colher narrativas fantásticas. Após gravar ou anotar as histórias, os textos passariam da prosa ao verso, mais especificamente, ao cordel. Surgia o projeto “Cordelize a vida! Valorize a sua cultura!”. Os 24 cordéis escritos pelos alunos foram apresentados à comunidade escolar em uma “tarde de autógrafos”, e os entrevistados que deram origem a eles ganharam um livreto correspondente à história que contaram. Além disso, foram produzidos 40 audiolivros para distribuir gratuitamente os cordéis aos estudantes com deficiência visual.`,
            likes_count: 3
        });

        topicos.push({
            id: 19,
            pre_title: 'Caso 20: Experimentação robótica (Competência 2)',
            title: '',
            author: 'Diogo Tiago dos Santos',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso20.html',
            img: 'img/colecoes/boas20.jpg',
            tags: ['Educação por projetos', 'Tecnologia', 'Robótica', 'Soluções de problemas', 'Autonomia'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O projeto “A criação do grupo de física e robótica da Escola Estadual Ana Lins”, em São Miguel dos Campos (AL), começou com um kit de robótica encontrado no almoxarifado da escola em 2015. Desde então, o professor de física Diogo dos Santos coordena fundamentos da robótica no contraturno escolar para criar soluções que podem ser úteis à sociedade, como o reaproveitamento da água do ar condicionado para irrigação, uma lixeira “inteligente” que ajuda a separar materiais para reciclagem e um dispositivo para pacientes acamados pedirem ajuda com mais facilidade. Além disso, Diogo pediu que os alunos produzissem artigos científicos para apresentar à comunidade acadêmica o protótipo desenvolvido, trabalhando não apenas física, como também leitura e escrita.`,
            likes_count: 3
        });
        //-------------------------------------------------------
        topicos.push({
            id: 20,
            pre_title: 'Caso 21: Vivências como fundamento da aprendizagem (Competência 7)',
            title: '',
            author: 'Maria do Socorro Braga Reis',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso21.html',
            img: 'img/colecoes/boas21.jpg',
            tags: ['Educação por projetos', 'Crônica', 'Etnografia', 'Vivências', 'Fotografia', 'Reescrita', 'Autoestima'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `A professora de português Maria Reis elaborou o projeto “Histórias qu’eu vi-vi: crônicas etnográficas” para os jovens desenvolver habilidades mais apuradas de escrita, retratando atividades e hábitos cotidianos da comunidade paraense de Bragança. Maria apresentou o gênero crônica, explicou o conceito de etnografia e mostrou vídeos que abordavam o fazer etnográfico. Os alunos foram a campo, registraram suas descobertas com fotos e montaram na escola um mural com as imagens. Depois, levaram-no para uma praça perto da escola, onde expuseram as fotos à comunidade. Para a escrita da crônica, cada estudante produziu um texto sobre a prática desenvolvida. As 20 crônicas etnográficas produzidas pelo 2º ano do ensino médio da Escola Estadual Yolanda Chaves foram reunidas em um aplicativo e no site do governo do Estado.`,
            likes_count: 3
        });

        topicos.push({
            id: 21,
            pre_title: 'Caso 22: A força da tradição pesqueira está com eles (Competência 6)',
            title: '',
            author: 'Josiane Mendes Bezerra',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso22.html',
            img: 'img/colecoes/boas22.jpg',
            tags: ['Educação por projetos', 'Pesca artesanal', 'Educação profissionalizante', 'Turismo', 'Alunos multiplicadores', 'Patrimônio cultural', 'Respeito', 'Empatia', 'Cultura caiçara'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O projeto “Fazendo e acontecendo: pesca artesanal da tainha” foi estruturado pela professora Josiane Bezerra para mobilizar da população sobre o resgate histórico-cultural dessa pesca. Os 150 alunos do ensino médio integrado da Escola de Educação Básica Maria Rita Flor, voltado à educação profissionalizante, assistiram a uma aula com pescadores. Daí, buscaram estudos científicos para aprofundar os conhecimentos, criando 12 pôsteres técnico-científicos com enfoques que variaram da história da pesca e do ciclo da tainha a receitas de pratos típicos da região. Baseados em um documentário sobre os pescadores de Bombinhas (SC), os jovens fizeram uma encenação, que mobilizou os professores de geografia, história, matemática e música. Além disso, atuaram como “guias de turismo” ao explicar a pesca artesanal e apresentar a cultura dos pescadores a comunidades locais e visitantes.`,
            likes_count: 3
        });

        topicos.push({
            id: 22,
            pre_title: 'Caso 23: Protagonismo na tela do cinema (Competência 5)',
            title: '',
            author: 'Jayse Antonio da Silva Ferreira',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso23.html',
            img: 'img/colecoes/boas23.jpg',
            tags: ['Educação por projetos', 'Cinema', 'Protagonismo', 'Autonomia', 'Participação dos pais', 'Preconceito', 'Inclusão'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Criado pelo professor de arte Jayse Ferreira, o projeto “Vamos enCURTAr essa história?” nasceu com a proposta de os alunos produzirem curtas-metragens a partir dos próprios referenciais. Os dois primeiros curtas eram releituras de outras obras, mas para o terceiro o professor sugeriu um trabalho autoral: os alunos teriam que escrever histórias referentes à escola e a um tema social. Para tal, pediu ajuda de egressos da escola em oficinas de dinâmica corporal e de um escritor da cidade para aulas de roteiro. O argumento do suspense “Entre dois lados”, de 17 minutos, surgiu do depoimento de um morador que perdeu a perna após um acidente em que dirigia alcoolizado. Os curtas dos alunos da Escola de Referência em Ensino Médio Frei Orlando foram exibidos na praça central de Itambé (PE).`,
            likes_count: 3
        });

        topicos.push({
            id: 23,
            pre_title: 'Caso 24: O celular como ferramenta pedagógica (Competência 5)',
            title: '',
            author: 'Erizaldo Cavalcanti Borges Pimentel',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso24.html',
            img: 'img/colecoes/boas24.jpg',
            tags: ['Educação por projetos', 'Cinema', 'Celulares', 'Cultura digital', 'Pensamento crítico', 'Cooperação', 'Responsabilidade'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Contrariando a norma, que proibia o uso do celular em horário de aula, o professor Erizaldo Pimentel criou o projeto “Cine com ciência: luz, câmera... Educação!”. Nele, alunos 6º ao 9º ano do Centro de Ensino Fundamental 01 do Cruzeiro, na região administrativa de Brasília (DF), têm que produzir vídeos com seus smartphones. O professor ensina conceitos da linguagem cinematográfica, e detalha as etapas de pré-produção, em que os alunos devem elaborar a narrativa e o roteiro técnico, estimulando os estudantes à leitura, também analisa cenas de filmes e discute enquadramento e posicionamento de câmera. Os temas estão relacionados ao mundo dos estudantes, com forte traço social e desestimulando a violência. Em três anos de projeto, são cerca de 50 curtas finalizados.`,
            likes_count: 3
        });

        topicos.push({
            id: 24,
            pre_title: 'Caso 25: Aplicativo para a saúde do jovem (Competência 2)',
            title: '',
            author: 'Elmara Pereira de Souza',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso25.html',
            img: 'img/colecoes/boas25.jpg',
            tags: ['Educação por projetos', 'Programação', 'Jogo digital', 'Alimentação', 'Atividade física', 'Investigação', 'Autonomia'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Na “Incubadora de projetos: a experiência de construção do jogo digital Choices sobre a importância da alimentação saudável e da prática de atividade física na adolescência”, a professora Elmara Souza, do Centro Juvenil de Ciência e Cultura de Vitória da Conquista, exercitou a curiosidade de estudantes interessados em programação para criar um game que ajudasse os jovens a refletir sobre a saúde. O jogo digital tornou-se a história de um adolescente que pode voltar no tempo para fazer escolhas cotidianas mais saudáveis. Os jovens contaram com o apoio de um aluno de ciências da computação e de uma nutricionista para registrar parâmetros de colesterol e triglicérides no sangue. Premiado em um edital da Fundação de Amparo à Pesquisa do Estado da Bahia, o projeto rendeu um artigo, escrito pelos jovens com a ajuda da professora, para um congresso da Sociedade Brasileira para o Progresso da Ciência.`,
            likes_count: 3
        });

        topicos.push({
            id: 25,
            pre_title: 'Caso 26: Tabuleiro de respeito (Competência 9)',
            title: '',
            author: 'Raquel de Oliveira Campos',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso26.html',
            img: 'img/colecoes/boas26.jpg',
            tags: ['Educação por projetos', 'Gamificação', 'Biomas', 'Cooperação', 'Diálogo', 'Responsabilidade', 'Autoestima'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O projeto “Tabuleiro humano: uma viagem de descobertas pelos biomas brasileiros em defesa da vida”, desenvolvido no Colégio Estadual Pedro Álvares Cabral de São João de Meriti (RJ), foi criado pela professora de biologia Raquel Campos, com sua turma do 1º ano do ensino médio. Os alunos construíram um tabuleiro de seis metros quadrados com o mapa brasileiro dividido nos seis biomas do país: Pampa, Mata Atlântica, Caatinga, Cerrado, Pantanal e Amazônia. Em sala, seis grupos pesquisaram os biomas e aspectos culturais, históricos e linguísticos dessas áreas. Em casa, os jovens elaboraram perguntas lidas no jogo, em formato de quiz. No dia da competição, os estudantes venceram com facilidade a turma adversária, que não havia se engajado no trabalho pedagógico. Além disso, a dinâmica do jogo favoreceu o exercício da cooperação e o diálogo na turma.`,
            likes_count: 3
        });

        topicos.push({
            id: 26,
            pre_title: 'Caso 27: Matemática para todos (Competência 4)',
            title: '',
            author: 'Adalgísio Gonçalves Soares',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso27.html',
            img: 'img/colecoes/boas27.jpg',
            tags: ['Educação por projetos', 'Curta-metragem', 'Malba Tahan', 'Resolução de problemas', 'Cultura digital', 'Cooperação', 'Responsabilidade'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `O projeto “Festival de curtas, uma viagem às mil e uma noites de Malba Tahan” apresentou contos do escritor aos alunos dos 8 e 9º anos da Escola Estadual Presidente Costa e Silva. Os estudantes se dividiram em grupos, resolveram coletivamente um desafio matemático presente na obra escolhida e, a partir daí, pensarem em uma narrativa para um filme. Além de apoiar as soluções dos problemas, o professor de matemática Adalgísio Soares alinhou as histórias ao conteúdo da disciplina, usando os contos para explicar equações do primeiro grau, operações com números racionais, entre outros. O professor trabalhou também o estudo do gênero textual e habilidades de leitura e escrita. Os moradores de Minas Novas (MG) ajudaram a viabilizar o festival de curtas-metragens, que exibiu 20 filmes em praça pública.`,
            likes_count: 3
        });

        topicos.push({
            id: 27,
            pre_title: 'Caso 28: O segredo dos seus olhos (Competência 10)',
            title: '',
            author: 'Elisangela Marina de Freitas e Silva',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso28.html',
            img: 'img/colecoes/boas28.jpg',
            tags: ['Educação por projetos', 'Pré-história', 'Arqueologia', 'Acessibilidade', 'Inclusão', 'Braile',' Desenho universal para a aprendizagem'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `A professora substituta de história Elisangela Silva encarou um desafio na Escola Básica Municipal Intendente Aricomedes da Silva, em Florianópolis: um aluno do 6º ano era cego. Visando sua inclusão, a professora recorreu à expertise das docentes Rosângela Kittel e Ruth dos Santos para trabalhar os conteúdos sobre pré-história, dando origem ao projeto “História nas pontas dos dedos: a acessibilidade ao conteúdo de pré-história”. A partir de elementos táteis, como materiais em braile e confecção de objetos em relevo, o aluno conseguiu vivenciar a aprendizagem plenamente. Para além de adaptar os conteúdos somente a ele, as docentes programaram atividades que permitissem que qualquer estudante pudesse agir com autonomia, democratizando, assim, o acesso ao conhecimento. `,
            likes_count: 3
        });

        topicos.push({
            id: 28,
            pre_title: 'Caso 29: Esta escola lhes pertence (Competência 3)',
            title: '',
            author: 'Paulo Augusto Nedel',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso29.html',
            img: 'img/colecoes/boas29.jpg',
            tags: ['Educação por projetos', 'Cultura artística', 'Pintura', 'Autonomia', 'Pertencimento', 'Patrimônio escolar'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Idealizado pelo professor Paulo Nedel, o “Ateliê do GV” foi implantado em 2015 na Escola Municipal Presidente Getúlio Vargas, em Viamão (RS). O ateliê funciona no contraturno e os alunos do 5º ao 9º ano podem reproduzir pinturas de diferentes artistas sob a orientação de Paulo, que explica o processo de reprodução da imagem, como a mistura de cores e a maneira de pintar. O tempo de finalização varia de acordo com a complexidade do quadro e os estudantes, em geral, fazem duas assinaturas nos trabalhos, a dos autores originais e as deles. Em 2016, com a escola reformada e repintada, foi o momento de distribuir os quadros dos alunos pelas paredes. Os “corredores artísticos” fortaleceram o respeito pelo espaço escolar e os laços com a comunidade. No início de 2018, o ateliê contava com 110 reproduções.`,
            likes_count: 3
        });

        topicos.push({
            id: 29,
            pre_title: 'Caso 30: O autocuidado como necessidade (Competência 8)',
            title: '',
            author: 'Alessandra Aparecida Neves',
            //url: 'http://especializacao-pobreza.mec.gov.br/modulos/intro/index.html',
            url: 'https://chapa2-ced-com-br.umbler.net/casos/caso30.html',
            img: 'img/colecoes/boas30.jpg',
            tags: ['Educação por projetos', 'Leitura', 'Interpretação de texto', 'Literatura', 'Miniconto', 'Pesquisa na internet', 'Saúde emocional', 'Psicologia', 'Teoria da recepção'],
            score: 100,
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: `Tendo como mote “o desafio da baleia azul”, a professora de português Alessandra Neves, em Dourados (MS), elaborou o projeto “Sem tristezas constantes, sem cortes, sem mortes precoces, entender para compreender-se”, envolvendo leitura, compreensão, interpretação e produção textual. Trabalhou com a música “Bring me to life”, com as obras “Amor de Perdição” e “Romeu e Julieta” e o filme “Inocência”. Então solicitou aos alunos pesquisas sobre depressão e suicídio. Para apresentá-las, a sala virou um “café-viagem”: cada grupo tinha um “anfitrião” que compartilhava os conhecimentos com os colegas. As atividades resultaram em microcontos sobre a temática. O projeto terminou com um papo com uma psicóloga, que orientou os jovens sobre os riscos das interações pela internet e os deixou à vontade para expor os próprios sentimentos.`,
            likes_count: 3
        });
        //-------------------------------------------------------

        colecao = {
            id: 3,
            name: 'Banco de Práticas Inspiradoras',
            tags: _tags,
            developed: 'Instituto Península',
            developedurl: 'http://www.institutopeninsula.org.br',
            topic_name: 'Casos',
            topics: topicos,
            score: 100,
            img: 'img/ipen_capa.jpg',
            duration: 50,
            created_at: '2018-03-26T00:31:24.484Z',
            updated_at: '2018-03-26T12:41:22.885Z',
            language: {
                id: 1,
                name: 'Português',
                code: 'pt'
            },
            license: null,
            description: 'É um acervo de práticas inspiradoras realizadas por professores da rede pública de ensino e que estão vinculadas às dez competências gerais da Base Nacional Comum Curricular (BNCC). O objetivo é promover uma reflexão mais ampla sobre o papel dos professores, inspirar os docentes a desenvolverem práticas inovadoras e ajudá-los na implementação da Base em suas realidades, bem como valorizar o trabalho destes e tantos outros professores extraordinários pelo Brasil. As práticas, relatadas em formato de artigo e vídeo, foram desenvolvidas por professores de todo o Brasil, finalistas do Prêmio Professores do Brasil 2017. Conheça mais sobre o projeto aqui: https://www.youtube.com/watch?v=ceJywQbZSM8',
            historic: `O Banco de Práticas inspiradoras é uma iniciativa realizada pelo Instituto Península e Ministério da Educação. `,
            likes_count: 3,
        };

        colecoes.push(colecao);
        // ------------------------------------------------------------------

        // var epd = Object.assign({}, colecoes[0]);
        // epd.id = 3;
        //
        // colecoes.push(epd);

        /////
				
				//console.log(colecoes);
				//console.dir(colecoes, { depth: null });
				//console.log(JSON.stringify(colecoes, null, 4));

	return colecoes;
}
