import Animacao from '../../img/laranja/ANIMACAO_SIMULACAO.jpg'
import AplicativoMovel from '../../img/laranja/APP.jpg'
import Apresentacao from '../../img/laranja/APRESENTACAO.jpg'
import Audio from '../../img/laranja/AUDIO.jpg'
import Empty from '../../img/laranja/EMPTY.jpg'
import Imagem from '../../img/laranja/IMAGEM.jpg'
import Infografico from '../../img/laranja/INFOGRAFICO.jpg'
import Jogo from '../../img/laranja/JOGO.jpg'
import LivroDigital from '../../img/laranja/LIVRO_DIGITAL.jpg'
import Mapa from '../../img/laranja/MAPA.jpg'
import Outros from '../../img/laranja/OUTROS.jpg'
import SoftwareEducacional from '../../img/laranja/SOFTWARE.jpg'
import Texto from '../../img/laranja/TEXTO.jpg'
import Video from '../../img/laranja/VIDEO.jpg'

export const getDefaultThumbnail = (objType) => {
    switch (objType.toLowerCase()) {
        case "imagem":
            return Imagem;
        case "mapa":
            return Mapa;
        case "software educacional" :
            return SoftwareEducacional;
        case "aplicativo móvel":
            return AplicativoMovel;
        case "apresentação":
            return Apresentacao;
        case "áudio":
            return Audio;
        case "infográfico":
            return Infografico;
        case "jogo":
            return Jogo;
        case "livro digital" :
            return LivroDigital;
        case "texto":
            return Texto;
        case "vídeo":
            return Video;
        case "animação":
            return Animacao;
        case null:
            return Empty;
        default:
            return Outros;

        }
}
