import React from 'react';
import AddIcon from '@material-ui/icons/Add';
import RemoveIcon from '@material-ui/icons/Remove';
import IconButton from '@material-ui/core/IconButton';
import styled from 'styled-components';

export default function ExpandButton(props) {
  return (
		<IconWrapper>
			<IconButton
				onClick={props.onClick}
				style={{color: 'white'}}
			>
				{ props.expanded ? <RemoveIcon /> : <AddIcon /> }
			</IconButton>
		</IconWrapper>
  );
}

const IconWrapper=styled.div`
	background-color: #5dbcd2;
	border-radius: 15px 0px 0px 15px;
`
